Device = 16F88
Xtal 8
@CONFIG_REQ
@__CONFIG _CONFIG1, INTRC_IO & WDT_OFF & PWRTE_ON & BODEN_ON & MCLR_OFF & LVP_OFF & CP_OFF & CPD_OFF & DEBUG_OFF  & CCP1_RB3
@__CONFIG _CONFIG2, IESO_OFF & FCMEN_OFF 

Declare LCD_DTPin	PORTB.4
Declare	LCD_RSPin	PORTB.2
Declare	LCD_ENPin	PORTB.3
Declare	LCD_Interface	4
Declare	LCD_Lines	2 

Declare Adin_Res 10       
Declare Adin_Tad FRC     
Declare Adin_Stime 50  

Dim ADC0 As Word
Dim VOLT As Float
Dim BAS As Float
Dim SAYI1 As Float
Dim SAYI2 As Float
Clear

OSCCON=%01111000 '8 Mhz
ANSEL = 1
CMCON = 7 'COMPARATORS OFF
INTCON = 0 ;Disable interrupts
TRISB = %00000000 
TRISA = %11111111 
ADCON1=%10000000

BASLA:
 Cls
ANA:
 ADIn 0,ADC0
 VOLT=ADC0
 VOLT=VOLT+1
 VOLT=VOLT * 5 /1024
 Print At 1 , 3 ,Dec2 VOLT ," Volt"
 

  SAYI1=VOLT+5*0.085
  SAYI2=5*0.0090
  BAS=SAYI1/SAYI2
 ;BAS=((VOLTAJ+5*0.085)/(5*0.0090))
 Print At 2 , 3 ,Dec1 BAS ," kPa"
 
 DelayMS 1000 
 GoTo ANA
 
 End


